Subject: Re: bug#7702: 24.0.50; doc of select-active-regions, cut/paste/kill/yank

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Dec 2010 21:26:43 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Sat, 25 Dec 2010 10:50:24 -0800
> 
> > This variable has the same meaning and effect on Windows as on X, and
> > its default value is the same.  So I see nothing that should be said
> > about that.  The only difference -- that on Windows the primary
> > selection exists only within a single Emacs session -- is now in the
> > manual.
> 
> What is missing, I think, is some description of what is meant by "primary
> emulation".  I think we need to say explicitly that wherever the manual speaks
> of the "primary selection" understand that Emacs on Windows uses an internal
> cache (variable, call it what you like) that acts the same as the primary
> selection in X Window, with the one exception about sessions.

I modified the text slightly to mention the internal store.

> IOW, aside from such a (single) clarification/footnote, the doc could just speak
> about primary selection and not mention Windows as being exceptional - not
> mention emulation etc.  IOW2, put the proviso/explanation in a single place, and
> otherwise just refer to this as the primary selection, making no distinction for
> Windows.

That's exactly what I did.  I added a single paragraph about the
Windows specifics; the rest of the text talks about the primary
selection without mentioning X or Windows.

> But if you sprinkle mentions of primary emulation here and there
> users will wonder here and there how much is being emulated, whether
> this or that piece of doc also applies to Windows, etc.

There's no such sprinkling.

> But we can agree to disagree about this.

But we agree.

> 1. Speak here and there about "primary selection emulation", without describing
> the behavior, i.e., without saying how well it's emulated, how the emulated
> behavior differs etc.
> 
> 2. Speak everywhere only about the "primary selection" (or, better, the Emacs
> primary selection).  And in only one place in the manual (only), mention that
> although, technically, Windows has no primary selection, Emacs on Windows does
> effectively have a primary selection:
> 
> Emacs emulates the X Window primary selection internally.  The Emacs primary
> selection behaves everywhere exactly the same as an X Window primary selection.
> One exception: the sessions thing.
> 
> You've chosen #1; I suggested #2.  With choice #1, users can everywhere (e.g.
> each doc string) wonder just what is involved, how it behaves on Windows.

No, I've chosen #2.  If you understood differently, it's a
misunderstanding.